Appointments
Update Appointment
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidQuery Parameters
include_details?array<string>
Dynamic detail fields to include. Use repeated query syntax: include_details=foo&include_details=bar
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name?string
Length
1 <= lengthraw_description?|null
external_id?|null
status_id?string
Format
uuidstatus_key?string
Length
1 <= lengthtype_key?string
Length
1 <= lengthassignee_id?|null
contact_id?string
Format
uuidstart_time?string
Format
date-timeend_time?|null
confirmed_at?|null
cancelled_at?|null
calendar_id?string
Calendar for the appointment. When omitted during appointment creation, the organisation default calendar is used.
Format
uuidscheduler_id?|null
event_id?|null
calendars?array<>
[key: string]?unknown
Response Body
application/json
curl -X PATCH "https://api.getmateo.com/v1/appointments/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5", "name": "string", "raw_description": "string", "external_id": "string", "status_id": "4e949624-bc0f-439e-a9f2-25a23938812c", "status_key": "string", "type_key": "string", "assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "start_time": "2019-08-24T14:15:22Z", "start_time_date": "2019-08-24T14:15:22Z", "start_time_time": "string", "end_time": "2019-08-24T14:15:22Z", "end_time_date": "2019-08-24T14:15:22Z", "end_time_time": "string", "confirmed_at": "2019-08-24T14:15:22Z", "confirmed_at_date": "2019-08-24T14:15:22Z", "confirmed_at_time": "string", "cancelled_at": "2019-08-24T14:15:22Z", "cancelled_at_date": "2019-08-24T14:15:22Z", "cancelled_at_time": "string", "calendar_id": "c828ce68-4c5a-4491-b76a-af3d888d3f97", "scheduler_id": "652fd076-25b3-4e07-b0c6-b90a21476c1b", "event_id": "string", "deleted_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "property1": null, "property2": null}